LookSize API (2.3)
Download OpenAPI specification:
All requests must use UTF-8 encoding.
Required: api_key is bound to your site URL.
For server-to-server or cURL requests the secret parameter is also mandatory.
You can find api_key and secret in your LookSize dashboard.
Your LookSize account must be configured before working with the API.
getDataByBrand
Returns user sizes grouped by brand for the requested category.
query Parameters
| api_key required | string API access key issued for the store |
| secret required | string Private key required for cURL/server requests |
| category required | string Store category identifier. One of [category, category_id] is required |
| category_id required | string LookSize category ID. One of [category, category_id] is required |
| userKey required | string Shopper profile identifier |
| lang | string Enum: "ua" "en" "..." Response language |
Responses
Response samples
- 200
Content type
application/json
Example
{- "response": "success",
- "run_time": 0.18348193168640137,
- "shop_category": "Shoes",
- "category": {
- "id": "197",
- "name": "Shoes"
}, - "category_gender": "male",
- "userSizeByBrand": {
- "adidas": {
- "brand": "adidas",
- "ls_brand": "Adidas",
- "size": {
- "eu": "40 2/3",
- "us": "7.5",
- "uk": "7"
}
}, - "Champion": {
- "brand": "Champion",
- "ls_brand": "Champion",
- "size": {
- "eu": "40.5",
- "uk": "6.5",
- "us": "7.5",
- "mex": "25.5",
- "br": "39.5"
}
}, - "Columbia": {
- "brand": "Columbia",
- "ls_brand": "Columbia",
- "size": {
- "eu": "41",
- "uk": "7",
- "us": "8"
}
}, - "Gucci": {
- "brand": "Gucci",
- "ls_brand": "Gucci",
- "size": {
- "brand": "6",
- "it": "40",
- "eu": "40",
- "uk": "6",
- "aus": "6",
- "us": "6.5",
- "kr": "250",
- "jp": "25",
- "mex": "6.5"
}
}, - "Nike": {
- "brand": "Nike",
- "ls_brand": "Nike",
- "size": {
- "eu": "41",
- "us": "8",
- "uk": "7"
}
}, - "Salewa": {
- "brand": "Salewa",
- "ls_brand": "Salewa",
- "size": {
- "uk": "6",
- "eu": "39",
- "us": "7"
}
}, - "Salvatore Ferragamo": {
- "brand": "Salvatore Ferragamo",
- "ls_brand": "Salvatore Ferragamo",
- "size": {
- "brand": "7",
- "it": "41",
- "uk": "6",
- "aus": "41",
- "fr": "41",
- "esp": "41",
- "eu": "37.5",
- "us": "7",
- "br": "40",
- "cn": "41",
- "jp": "25"
}
}
}, - "time": 1763031963
}